import java.awt.Shape;
import java.awt.geom.GeneralPath;
import java.util.ArrayList;


/**
 * Ein Tisch, der manipuliert werden kann und sich selbst auf einer Leinwand zeichnet.
 * 
 * @author Claus Albowski
 * @version (20.05.07)
 */
public class Tischgruppe extends Moebel
{
  ArrayList<Moebel> moebelListe;

  /**
   * Erzeuge eine neue Tischgruppe mit einer Standardfarbe an einer
   * Standardposition.
   * anzahl ist die Zahl der Stuehle, die an die Laengsseite passen.
   */
    public Tischgruppe(int anzahl)
  {
    xPosition = 40;
    yPosition = 40;
    orientierung = 0;
    farbe = "blau";
    istSichtbar = false;
    if (anzahl<1) anzahl=1;
    if (anzahl>5) anzahl=5;
    breite = 40+10+10+anzahl*(40+10)+10+40;
    tiefe  = 40+10+60+10+40;
    moebelListe = new ArrayList<Moebel>();
    moebelListe.add(new Tisch(50, 50, farbe, orientierung, breite-100, tiefe-100));
    moebelListe.add(new Stuhl(0, 60, farbe, orientierung+270, 40, 40));
    moebelListe.add(new Stuhl(breite-40, 60, farbe, orientierung+90, 40, 40));
    for (int i=0;i<anzahl;i++){
        moebelListe.add(new Stuhl(60+i*50, 0, farbe, orientierung, 40, 40));
        moebelListe.add(new Stuhl(60+i*50, 120, farbe, orientierung+180, 40, 40));
    }
  }
  
  /**
   * Berechnet das zu zeichnende Shape anhand der gegebenen Daten
   */
  protected Shape gibAktuelleFigur()
  {
      GeneralPath tischgruppe = new GeneralPath();
      for (int i=0;i<moebelListe.size();i++){
        tischgruppe.append((moebelListe.get(i)).gibAktuelleFigur(), false);
      }
      return  transformiere(tischgruppe);
  }
  
}
